
%% This file should be at the route of the Male_accelerometer and Male_behavior folders
ans1=readtable('./Male_accelerometer/Male_accelerometer_Batch6_Box6_Patch.csv');% accelerometer
ans2 = readtable('./Male behavior/Male_behavior_Batch6_Box6_Patch.csv');% behavior
t0_Beh=720.9; 
t0_Acc=712;  

ax=ans1.ax;
ay=ans1.ay;
az=ans1.az-1;
Beh=ans2{:,2:26};

reprod=[24:26]-1;%columns corresponding to reproductive behavior
standing=[9]-1;% columns corresponding to standing
% time for acelerometer data in segundos
t_Acc=[0:(numel(ax)-1)]/25+t0_Acc;
t_Beh=[0:(size(Beh,1)-1)]/15+t0_Beh;

% time for behavioral data in segundos

%t_Beh=ans2.data(:,1)-ans2.data(1,1)+t0_Beh;
figure;
yyaxis right; bar(t_Beh./60,sum(Beh(:,standing),2),'g','FaceAlpha',0.5); %Standing
hold on; bar(t_Beh/60,sum(Beh(:,reprod),2),'r','FaceAlpha',0.5); %Reproductive
ylabel('Behaviors'); ylim([0 1.1]); %xlim([23 34]);
yyaxis left; plot(t_Acc/60,ay,'k'); xlabel('time (min)'); ylabel('a_y')
xlim([min(t_Beh)./60 max(t_Beh)./60])
legend('acceleration','Standing','Reproductive')